package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Date: 2021/3/29.
 */
public class PrintTaskDto {

    private String examDetailId;
    private String printPlanId;
    private String printPlanName;
    private Long examStartTime;
    private Long examEndTime;
    private String courseNameCode;
    private String paperNumber;
    private String examPlace;
    private String examRoom;
    private String singlePagesA3;
    private Integer pagesA3;
    private Integer pagesA4;
    private Integer totalSubjects;
    private String status;
    private Boolean validate;
    private Long printStartTime;
    private Long printEndTime;
    private String packageCode;
    private Boolean normal;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "印刷室id")
    private Long printHouseId;

    @ApiModelProperty(value = "印刷室编号")
    private String printHouseCode;

    @ApiModelProperty(value = "印刷室名称")
    private String printHouseName;

    public String getExamDetailId() {
        return examDetailId;
    }

    public void setExamDetailId(String examDetailId) {
        this.examDetailId = examDetailId;
    }

    public String getPrintPlanId() {
        return printPlanId;
    }

    public void setPrintPlanId(String printPlanId) {
        this.printPlanId = printPlanId;
    }

    public String getPrintPlanName() {
        return printPlanName;
    }

    public void setPrintPlanName(String printPlanName) {
        this.printPlanName = printPlanName;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getCourseNameCode() {
        return courseNameCode;
    }

    public void setCourseNameCode(String courseNameCode) {
        this.courseNameCode = courseNameCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getSinglePagesA3() {
        return singlePagesA3;
    }

    public void setSinglePagesA3(String singlePagesA3) {
        this.singlePagesA3 = singlePagesA3;
    }

    public Integer getPagesA3() {
        return pagesA3;
    }

    public void setPagesA3(Integer pagesA3) {
        this.pagesA3 = pagesA3;
    }

    public Integer getPagesA4() {
        return pagesA4;
    }

    public void setPagesA4(Integer pagesA4) {
        this.pagesA4 = pagesA4;
    }

    public Integer getTotalSubjects() {
        return totalSubjects;
    }

    public void setTotalSubjects(Integer totalSubjects) {
        this.totalSubjects = totalSubjects;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Boolean getValidate() {
        return validate;
    }

    public void setValidate(Boolean validate) {
        this.validate = validate;
    }

    public Long getPrintStartTime() {
        return printStartTime;
    }

    public void setPrintStartTime(Long printStartTime) {
        this.printStartTime = printStartTime;
    }

    public Long getPrintEndTime() {
        return printEndTime;
    }

    public void setPrintEndTime(Long printEndTime) {
        this.printEndTime = printEndTime;
    }

    public String getPackageCode() {
        return packageCode;
    }

    public void setPackageCode(String packageCode) {
        this.packageCode = packageCode;
    }

    public Boolean getNormal() {
        return normal;
    }

    public void setNormal(Boolean normal) {
        this.normal = normal;
    }

    public Long getPrintHouseId() {
        return printHouseId;
    }

    public void setPrintHouseId(Long printHouseId) {
        this.printHouseId = printHouseId;
    }

    public String getPrintHouseCode() {
        return printHouseCode;
    }

    public void setPrintHouseCode(String printHouseCode) {
        this.printHouseCode = printHouseCode;
    }

    public String getPrintHouseName() {
        return printHouseName;
    }

    public void setPrintHouseName(String printHouseName) {
        this.printHouseName = printHouseName;
    }
}
